go/gcc7-go.patch
Thomas Hipp d6a1d1bfdf Accepting request 527061 from home:thipp:branches:devel:languages:go
- Update to go1.9
  There are two changes to the language: adding support for type aliases and
  defining when implementations may fuse floating point operations. Most of the
  changes are in the implementation of the toolchain, runtime, and libraries. As
  always, the release maintains the Go 1 promise of compatibility. We expect
  almost all Go programs to continue to compile and run as before.
  The release adds transparent monotonic time support, parallelizes compilation
  of functions within a package, better supports test helper functions, includes
  a new bit manipulation package, and has a new concurrent map type.
  Remove patches:
    - fix_certificates_lookup.patch
    - runtime-bump-MaxGomaxprocs.patch

OBS-URL: https://build.opensuse.org/request/show/527061
OBS-URL: https://build.opensuse.org/package/show/devel:languages:go/go?expand=0&rev=299
2017-09-19 12:42:07 +00:00

68 lines
2.6 KiB
Diff

Index: go/src/cmd/dist/buildtool.go
===================================================================
--- go.orig/src/cmd/dist/buildtool.go
+++ go/src/cmd/dist/buildtool.go
@@ -164,7 +164,7 @@ func bootstrapBuildTools() {
// Use the math_big_pure_go build tag to disable the assembly in math/big
// which may contain unsupported instructions.
cmd := []string{
- pathf("%s/bin/go", goroot_bootstrap),
+ pathf("%s/bin/go-7", goroot_bootstrap),
"install",
"-gcflags=-l",
"-tags=math_big_pure_go",
Index: go/src/make.bash
===================================================================
--- go.orig/src/make.bash
+++ go/src/make.bash
@@ -41,7 +41,7 @@
# This is used by cgo. Default is CC.
#
# CXX_FOR_TARGET: Command line to run to compile C++ code for GOARCH.
-# This is used by cgo. Default is CXX, or, if that is not set,
+# This is used by cgo. Default is CXX, or, if that is not set,
# "g++" or "clang++".
#
# FC: Command line to run to compile Fortran code for GOARCH.
@@ -120,8 +120,8 @@ echo '##### Building Go bootstrap tool.'
echo cmd/dist
export GOROOT="$(cd .. && pwd)"
GOROOT_BOOTSTRAP=${GOROOT_BOOTSTRAP:-$HOME/go1.4}
-if [ ! -x "$GOROOT_BOOTSTRAP/bin/go" ]; then
- echo "ERROR: Cannot find $GOROOT_BOOTSTRAP/bin/go." >&2
+if [ ! -x "$GOROOT_BOOTSTRAP/bin/go-7" ]; then
+ echo "ERROR: Cannot find $GOROOT_BOOTSTRAP/bin/go-7." >&2
echo "Set \$GOROOT_BOOTSTRAP to a working Go tree >= Go 1.4." >&2
exit 1
fi
@@ -131,7 +131,7 @@ if [ "$GOROOT_BOOTSTRAP" = "$GOROOT" ];
exit 1
fi
rm -f cmd/dist/dist
-GOROOT="$GOROOT_BOOTSTRAP" GOOS="" GOARCH="" "$GOROOT_BOOTSTRAP/bin/go" build -o cmd/dist/dist ./cmd/dist
+GOROOT="$GOROOT_BOOTSTRAP" GOOS="" GOARCH="" "$GOROOT_BOOTSTRAP/bin/go-7" build -o cmd/dist/dist ./cmd/dist
# -e doesn't propagate out of eval, so check success by hand.
eval $(./cmd/dist/dist env -p || echo FAIL=true)
Index: go/src/make.rc
===================================================================
--- go.orig/src/make.rc
+++ go/src/make.rc
@@ -46,13 +46,13 @@ echo cmd/dist
GOROOT = `{cd .. && pwd}
if(! ~ $#GOROOT_BOOTSTRAP 1)
GOROOT_BOOTSTRAP = $home/go1.4
-if(! test -x $GOROOT_BOOTSTRAP/bin/go){
- echo 'ERROR: Cannot find '$GOROOT_BOOTSTRAP'/bin/go.' >[1=2]
+if(! test -x $GOROOT_BOOTSTRAP/bin/go-7){
+ echo 'ERROR: Cannot find '$GOROOT_BOOTSTRAP'/bin/go-7.' >[1=2]
echo 'Set $GOROOT_BOOTSTRAP to a working Go tree >= Go 1.4.' >[1=2]
exit bootstrap
}
rm -f cmd/dist/dist
-GOROOT=$GOROOT_BOOTSTRAP GOOS='' GOARCH='' $GOROOT_BOOTSTRAP/bin/go build -o cmd/dist/dist ./cmd/dist
+GOROOT=$GOROOT_BOOTSTRAP GOOS='' GOARCH='' $GOROOT_BOOTSTRAP/bin/go-7 build -o cmd/dist/dist ./cmd/dist
eval `{./cmd/dist/dist env -9}
echo